<?php
namespace App\Http\Model;

use Illuminate\Database\Eloquent\Model;

/**
 * Class StZqLocalLeague
 * @package App\Http\Model
 * 足球联赛 中间表
 */
class StZqLocalLeague extends Model
{

    protected $table = 'st_zq_local_league';
    public $timestamps = false;

    /*
     * 获取一段时间内所有联赛数据
     */
    public static function getLeagueID($models){
        $lg_data = $models['model_local_league']::select('lg_id','others_lg_id','source')
            ->where([['ctime','>',date('Y-m-d H:i:s' , strtotime("-15 day"))]])
            ->get()
            ->toArray();
        return $lg_data;
    }

}